#include "bsl_raspberry.hpp"
#include "../csl/interfaces/delay.hpp" 
#include "../csl/interfaces/pin.hpp" 

int startBSL()
{
	int i = 0; 
	Pin pin; 
	Delay delay; 
	pin.init();
	pin.setMode(Pin::output); 

	for(i=0; i < 5; i++)
	{
		std::cout << "Hello from raspberry" << std::endl; 
		pin.write(1);
		delay.ms(500);
		pin.write(0);
		delay.ms(500);
	}
	return 1;
}

